Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2825543002: Return chrome-proxy-ect header code (post M59 branch) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by dougarnett
Modified:
6 months ago
Reviewers:
RyanSturm
CC:
chromium-reviews, tbansal+watch-data-reduction-proxy_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Return chrome-proxy-ect header code (post M59 branch) BUG=707981 Review-Url: https://codereview.chromium.org/2825543002 Cr-Commit-Position: refs/heads/master@{#465783} Committed: https://chromium.googlesource.com/chromium/src/+/211430bf1dc94f392d736cd02a3eed95b9f6dfaa

Patch Set 1 #

Patch Set 2 : Merge update for unittest Init signature change #

Patch Set 3 : Fix some recent tests for ect header #

Total comments: 2

Patch Set 4 : Update for comment by Ryan #

Unified diffs Side-by-side diffs Delta from patch set Stats (+290 lines, -2 lines) Patch
M components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate.h View 1 chunk +11 lines, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate.cc View 6 chunks +51 lines, -0 lines 0 comments Download
M components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc View 1 2 3 8 chunks +219 lines, -2 lines 0 comments Download
M components/data_reduction_proxy/core/common/data_reduction_proxy_headers.h View 1 chunk +4 lines, -0 lines 0 comments Download
M components/data_reduction_proxy/core/common/data_reduction_proxy_headers.cc View 2 chunks +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (21 generated)
dougarnett
This puts back Tarun's ect header code plus a bit of integration with couple more ...
6 months, 1 week ago (2017-04-18 20:29:12 UTC) #14
RyanSturm
lgtm % 1 test comment. https://codereview.chromium.org/2825543002/diff/40001/components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc File components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc (right): https://codereview.chromium.org/2825543002/diff/40001/components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc#newcode1520 components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc:1520: network_delegate()->NotifyBeforeSendHeaders( Call NotifyBeforeStartTransaction again?
6 months ago (2017-04-19 20:49:18 UTC) #15
dougarnett
https://codereview.chromium.org/2825543002/diff/40001/components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc File components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc (right): https://codereview.chromium.org/2825543002/diff/40001/components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc#newcode1520 components/data_reduction_proxy/core/browser/data_reduction_proxy_network_delegate_unittest.cc:1520: network_delegate()->NotifyBeforeSendHeaders( On 2017/04/19 20:49:18, Ryan Sturm wrote: > Call ...
6 months ago (2017-04-19 21:20:01 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825543002/60001
6 months ago (2017-04-19 22:21:24 UTC) #23
commit-bot: I haz the power
6 months ago (2017-04-19 22:27:04 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/211430bf1dc94f392d736cd02a3e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa